﻿CREATE DATABASE dh123 DEFAULT CHARSET UTF8 COLLATE utf8_general_ci;
use dh123;
DROP TABLE IF EXISTS cn_dh123_link_class;
CREATE TABLE cn_dh123_link_class(
	id INT PRIMARY KEY AUTO_INCREMENT,
	name TEXT,
	top INT DEFAULT 0,
	sortNum INT DEFAULT 0,
	addTime TIMESTAMP
);

DROP TABLE IF EXISTS cn_dh123_link;
CREATE TABLE cn_dh123_link(
	id INT PRIMARY KEY AUTO_INCREMENT,
	shortName VARCHAR(16),
	longName TEXT,
	urlParam TEXT,
	url TEXT,
	top INT DEFAULT 0,
	inCount INT DEFAULT 0,
	outCount INT DEFAULT 0,
	inTime DATETIME,
	addTime DATETIME,
	link_class_id INT
);
insert into cn_dh123_link_class(name,top) values('新闻',1);
insert into cn_dh123_link_class(name,top) values('小说',1);
insert into cn_dh123_link_class(name,top) values('社交',1);
insert into cn_dh123_link_class(name,top) values('图片',1);

insert into cn_dh123_link_class(name,top) values('软件',1);
insert into cn_dh123_link_class(name,top) values('游戏',1);
insert into cn_dh123_link_class(name,top) values('音乐',1);
insert into cn_dh123_link_class(name,top) values('影视',1);

insert into cn_dh123_link_class(name,top) values('时尚',1);
insert into cn_dh123_link_class(name,top) values('女性',1);
insert into cn_dh123_link_class(name,top) values('军事',1);
insert into cn_dh123_link_class(name,top) values('娱乐',1);

insert into cn_dh123_link_class(name,top) values('购物',1);
insert into cn_dh123_link_class(name,top) values('美食',1);
insert into cn_dh123_link_class(name,top) values('汽车',1);
insert into cn_dh123_link_class(name,top) values('新奇',1);

insert into cn_dh123_link_class(name,top) values('银行',1);
insert into cn_dh123_link_class(name,top) values('财经',1);
insert into cn_dh123_link_class(name,top) values('招聘',1);
insert into cn_dh123_link_class(name,top) values('彩票',1);


insert into cn_dh123_link_class(name,top) values('手机',0);
insert into cn_dh123_link_class(name,top) values('星座',0);
insert into cn_dh123_link_class(name,top) values('邮箱',0);
insert into cn_dh123_link_class(name,top) values('校园',0);
insert into cn_dh123_link_class(name,top) values('下载',0);
insert into cn_dh123_link_class(name,top) values('体育',0);
insert into cn_dh123_link_class(name,top) values('搜索',0);
insert into cn_dh123_link_class(name,top) values('房产',0);
insert into cn_dh123_link_class(name,top) values('国外',0);
insert into cn_dh123_link_class(name,top) values('网盘',0);
insert into cn_dh123_link_class(name,top) values('旅游',0);

insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('中华','中华新闻网','china','http://3g.china.com',1);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('央视','手机央视网','cctv','http://wap.cctv.com',1);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('环球','手机环球新闻网','huanqiu','http://wap.huanqiu.com',1);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('人民','手机人民网','people','http://m.people.cn',1);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('21cn','21CN手机网','21cn','http://3g.21cn.com',1);


insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('起点','起点小说网','qidian','http://qidian.cn',2);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('书旗','书旗网','shuqi','http://shuqi.com',2);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('爱看','爱看图书网','ikbook','http://m.ikbook.com',2);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('看书','看书网','kanshu','http://wap.kanshu.com',2);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('手打','手打电子书','sddzs','http://wap.sddzs.com',2);

insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('开心','手机开心网','kaixin001','http://wap.kaixin001.com',3);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('佳缘','世纪佳缘网','jiayuan','http://wap.jiayuan.com',3);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('天涯','天涯社区3G','tianyacn','http://3g.tianya.cn',3);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('天下','天下交友网','txcomcn','http://tx.com.cn',3);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('猫扑','掌上猫扑','mop','http://3g.mop.com',3);

insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('图片','手机图片网','picwz','http://wap.picwz.com',4);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('靓图','靓图集','ltuj','http://ltuj.com/cai',4);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('图霸','图霸夜色','41wap','http://41wap.com',4);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('亿万','亿万手机图片','623k','http://623k.com',4);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('图乐','图乐网','piclcn','http://picl.cn',4);

insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('宝软','手机宝软网','baoruan','http://wap.baoruan.com',5);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('泡椒','泡椒手机软件','paojiaocn','http://paojiao.cn',5);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('冰冰','冰冰智能手机网','aapigcc','http://aapig.cc',5);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('塞软','塞班软件','saibancm','http://saiban.cm',5);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('凯斯','凯斯破解','mrpyxcn','http://wap.mrpyx.cn',5);


insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('九游','手机九游','9gamecn','http://wap.9game.cn',6);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('当乐','当乐手机游戏','dcn','http://d.cn',6);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('乐玩','乐玩','lewancn','http://lewan.cn',6);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('7723','7723游戏网','7723','http://7723.com',6);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('安智','安智游戏','anzhi','http://m.anzhi.com/recommend_2.html',6);


insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('无忧','无忧音乐','wump3','http://wump3.com',7);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('酷狗','酷狗音乐','kugou','http://3g.kugou.com/x',7);


insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('乐视','手机乐视','letv','http://wap.letv.com',8);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('土豆','手机土豆','tudou','http://wap.tudou.com',8);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('电影','手机电影网','m1905cn','http://m1905.cn',8);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('我乐','56手机视频','56com','http://3g.56.com',8);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('百视','100tv百视','100tvcom','http://wap.100tv.com',8);

insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('爱丽','爱丽时尚','ailicom','http://m.aili.com',9);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('瑞丽','手机瑞丽时尚','raylicomcn','http://wap.rayli.com.cn',9);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('时尚','手机时尚','trendscomcn','http://mobi.trends.com.cn',9);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('YOKA','手机YOKA时尚','yokacom','http://3g.yoka.com',9);

insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('新浪','手机新浪女性','eladiessinacn','http://eladies.sina.cn',10);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('搜狐','搜狐女性','sohucomc','http://m.sohu.com/c/326/',10);


insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('铁血','3G铁血军事','tiexuenet','http://m.tiexue.net/3g',11);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('战略','战略网','chinaiiss','http://wap.chinaiiss.com/simple/index',11);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('怒血','手机怒血网','nuxuecom','http://m.nuxue.com',11);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('西路','西路WAP站','xilucom','http://m.xilu.com',11);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('国防','手机国防部网','modgovcn','http://wap.mod.gov.cn',11);

insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('中娱','中国娱乐网','67com','http://m.67.com',12);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('大麦','大麦网','damaicom','http://wap.damai.cn',12);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('搜狐','搜狐娱乐','sohucomc4','http://m.sohu.com/c/4/',12);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('腾讯','手机腾讯娱乐','qqcomg','http://info.3g.qq.com/g/',12);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('新浪','新浪娱乐','entsinacn','http://ent.sina.cn',12);


insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('淘宝','手机淘宝','taobaocom','http://wap.taobao.com',13);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('京东','手机京东','jdcom','http://m.jd.com',13);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('当当','当当图书购物','dangdangcom','http://m.dangdang.com',13);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('一号店','一号店','myhdcom','http://m.yhd.com',13);


insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('饭统','饭统网WAP版','wapfantongcom','http://wap.fantong.com',14);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('豆果','豆果美食','mdouguocom','http://m.douguo.com',14);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('好豆','好豆菜谱','mhaodoucom','http://m.haodou.com',14);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('下厨房','下厨房','mxiachufangcom','http://m.xiachufang.com',14);

insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('易车','易车网','myichecom','http://m.yiche.com',15);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('爱卡','手机爱卡汽车网','wapxcarcomcn','http://wap.xcar.com.cn',15);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('太平','手机太平洋汽车网','mpcautocomcn','http://m.pcauto.com.cn',15);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('点评','汽车点评网','wapxgocomcn','http://wap.xgo.com.cn',15);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('一车','第一车网','3giautocn','http://3g.iautos.cn',15);

insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('糗事','糗事百科','wap2qiushibaikecom','http://wap2.qiushibaike.com',16);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('豆瓣','豆瓣小组','mdoubancom','http://m.douban.com',16);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('碰碰','手机碰碰网','mpengpengcom','http://m.pengpeng.com',16);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('几分钟','几分钟','mjifengzhongcom','http://m.jifenzhong.com',16);


insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('建行','手机建设银行','mccbcom','http://m.ccb.com',17);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('农行','手机农行银行','mabchinacom','http://m.abchina.com',17);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('中行','中国银行','mbsboccn/','http://mbs.boc.cn',17);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('浦发','浦发银行','wapspdbcomcnwap','https://wap.spdb.com.cn/wap/',17);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('工行','工商银行','wapicbccomcn','http://wap.icbc.com.cn',17);

insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('和讯','手机和讯网','mhexuncom','http://m.hexun.com',18);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('金融界','金融界','mjrjcomcn','http://m.jrj.com.cn',18);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('东方','东方财富网','wapeastmoney','http://wap.eastmoney.com',18);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('21经济','21世纪经济报道','m21jingjicom','http://m.21jingji.com',18);

insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('智联','智联招聘','wapzhaopincom','http://wap.zhaopin.com',19);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('前程','前程无忧','3g51jobcom','http://3g.51job.com',19);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('赶集','赶集网','wapganjicom','http://wap.ganji.com',19);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('猎聘','猎聘网','mliepincom','http://m.liepin.com',19);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('58','58同城','wap58com','http://wap.58.com',19);


insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('中彩','手机中彩网','wapzhcwcom','http://wap.zhcw.com',20);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('澳客','澳客手机彩票网','wapokooocom','http://wap.okooo.com',20);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('淘彩','淘宝彩票','caipiaomtaobaocom','http://caipiao.m.taobao.com',20);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id) values('乐和彩','乐和彩','waplehecaicom','http://wap.lehecai.com',20);
update cn_dh123_link set top=1;


insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id,top) values('百度','百度搜索','wapbaiducom','http://wap.baidu.com',27,12);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id,top) values('乐讯','手机乐讯网','lexuncom','http://lexun.com',3,12);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id,top) values('凤凰','手机凤凰网','3gifengcom','http://3g.ifeng.com',1,12);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id,top) values('腾讯','手机腾讯网','3gqqcom','http://3g.qq.com',1,12);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id,top) values('网易','手机网易网','3g163com','http://3g.163.com',1,12);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id,top) values('人人','手机人人网','mrenrencom','http://m.renren.com',3,12);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id,top) values('优酷','优酷视频3G','myoukucom','http://m.youku.com',8,12);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id,top) values('微博','新浪微博','weibocn','http://weibo.cn',3,12);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id,top) values('红袖','红袖添香','waphongxiucom','http://wap.hongxiu.com',2,12);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id,top) values('聚美','聚美优品','mjumeicom','http://m.jumei.com/?fr=dh123cn',13,12);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id,top) values('搜房','搜房','msoufuncom','http://m.soufun.com',28,12);
insert into cn_dh123_link(shortName,longName,urlParam,url,link_class_id,top) values('NBA','新浪NBA','nbasinacn','http://nba.sina.cn',26,12);



DROP TABLE IF EXISTS cn_dh123_about;
CREATE TABLE cn_dh123_about(
	id INT PRIMARY KEY AUTO_INCREMENT,
	content TEXT,
	addTime TIMESTAMP
);
INSERT INTO cn_dh123_about(content) values('关于本站:<br>本站致力于营造一个完善良好的导航,如果您有WAP网站想添加到我们DH123上,你可以到<a href="?c=waplink&a=add">合作</a>中添加,如果你想快速通过请直接联系我们!<br/>合作QQ:916673309[注明来意]');

DROP TABLE IF EXISTS cn_dh123_admin;
CREATE TABLE cn_dh123_admin(
	id INT PRIMARY KEY AUTO_INCREMENT,
	email VARCHAR(32) UNIQUE,
	pwd TEXT,
	sid TEXT
)ENGINE=InnoDB;
INSERT INTO cn_dh123_admin(email,pwd) VALUES('jbing.org@gmail.com','21232f297a57a5a743894a0e4a801fc3');

DROP TABLE IF EXISTS cn_dh123_ly;
CREATE TABLE cn_dh123_ly(
	id INT PRIMARY KEY AUTO_INCREMENT,
	title VARCHAR(128),
	email VARCHAR(128),
	content TEXT,
	looked INT DEFAULT 0,
	ly_hf_id INT DEFAULT 0,
	addTime TIMESTAMP
)ENGINE=InnoDB;
INSERT INTO cn_dh123_ly(title,email,content) values('恭喜网站创建成功','jbing.org@gmail.com','本程序是基于jBingPHP框架编写的!');
