﻿<?php  
/**
 * 控制器
 * @date 2014/02/09
 */
class Controller{
	protected $view = NULL;
	public function __construct(){
		$this->view = new View();
	}
	public function assign($var, $value = ''){
		//echo 'Controller.assign.'.$value;
		$this->view->assign($var, $value);
	}  
	public function display($file){
		$this->view->display($file);
	}
	public function run(){
		global $C;//包含全局配置数组, 这个数组是在Config.php文件中定义的
		global $LANG;
		$this->Analysis(); //开始解析URL获得请求的控制器和方法    
		$control = $_GET[$C['CONTROL_ROUTE']];    
		$action = $_GET[$C['ACTION_ROUTE']];    //这里构造出控制器文件的路径    
		$controlFile = ROOT_PATH.'/'.'org/jbing/controller/' . $control . '.class.php';
		//如果文件不存在提示错误, 否则引入    
		if(!file_exists($controlFile)){
			if($C['DEBUG'] == false){
				header('location:'.'http://'._DOMAIN_NAME_);
			}else{
				exit('【'.$LANG['_FILE_'].$LANG['_NOT_EXISTS_'].'】'.$controlFile);//控制器不存在
			}
		}
		include($controlFile); 
		$class = ucwords($control); //将控制器名称中的每个单词首字母大写,来当作控制器的类名 
		//判断类是否存在, 如果不存在提示错误
		if(!class_exists($class)){
			if($C['DEBUG'] == false){
				header('location:'.'http://'._DOMAIN_NAME_);
			}else{
				exit('【'.$LANG['_CONTROLLER_'].$LANG['_CLASS_'].$LANG['_NOT_EXISTS_'].'】'. $class);//控制器类不存在
			}
		}
		$instance = new $class(); //否则创建实例
		//判断实例$instance中是否存在$action方法, 不存在则提示错误
		if(!method_exists($instance, $action)){
			if($C['DEBUG'] == false){
				header('location:'.'http://'._DOMAIN_NAME_);
			}else{
				exit('【'.$LANG['_METHOD_'].$LANG['_NOT_EXISTS_'].'】'. $action);//不存在方法
			}
		}
		$instance->$action();
	}
	/**
	 * 解析URL获得控制器与方法
	 *
	 * @access protected   
	 * @return void   
	 */   
	protected function Analysis(){
		global $C; //包含全局配置数组, 这个数组是在Config.php文件中定义的
		//如果URL模式为1那么就在GET中获取控制器,也就是说url地址是这种的http://localhost/index.php?c=控制器&a=方法
		if($C['URL_MODE'] == 1){
			$control = !empty($_GET[$C['CONTROL_ROUTE']]) ? trim($_GET[$C['CONTROL_ROUTE']]) : '';
			$action = !empty($_GET[$C['ACTION_ROUTE']]) ? trim($_GET[$C['ACTION_ROUTE']]) : '';
		 //如果为2 那么就是使用PATH_INFO模式, 也就是url地址是这样的 http://localhost/index.php/控制器/方法/其他参数  
		}else if($C['URL_MODE'] == 2){
			if(isset($_SERVER['PATH_INFO'])){      //$_SERVER['PATH_INFO']URL地址中文件名后的路径信息, 不好理解, 来看看例子
										//比如你现在的URL是 http://www.php100.com/index.php 那么你的$_SERVER['PATH_INFO']就是空的      
										//但是如果URL是 http://www.php100.com/index.php/abc/123
										//现在的$_SERVER['PATH_INFO']的值将会是 index.php文件名称后的内容 /abc/123/
				$path = trim($_SERVER['PATH_INFO'], '/');
				$paths = explode('/', $path);
				$control = array_shift($paths);
				$action = array_shift($paths);
			}
		}    
		//这里判断控制器的值是否为空, 如果是空的使用默认的
		$_GET[$C['CONTROL_ROUTE']] = $control = !empty($control) ? $control : $C['DEFAULT_CONTROL'];
		//和上面一样
		$_GET[$C['ACTION_ROUTE']] = $action = !empty($action) ? $action : $C['DEFAULT_ACTION'];
	}  
}	
?>